Bug 19878

Summary: Internal compiler error: Argument is out of range
Product: [Mono] Compilers Reporter: Sergey Zhukov <svg>
Component: C#Assignee: Marek Safar <masafa>
Status: VERIFIED FIXED    
Severity: normal CC: mono-bugs+mono
Priority: ---    
Version: 3.4.0   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Tags: Is this bug a regression?: ---
Last known good build:

Description Sergey Zhukov 2014-05-18 21:18:44 UTC
I downloaded Simple Injector project from codeplex and tried to build it, but I've got 'Internal compiler error'.

Steps to reproduce: 
Download source code from the link http://simpleinjector.codeplex.com/SourceControl/list/changesets# (or you can clone it if you have git was compiled with libcurl4-openssl)
Open the solution SimpleIntector.sln in monodevelop.
Select SimpleInjector.NET project and compile it.

The error 'Internal compiler error: Argument is out of range' is appeared on the line:

	return Expression.Block(
                variables: lifestyleInfos.Select(l => l.Variable)
                    .Concat(registrationInfos.Select(r => r.Variable)),
                expressions: lifestyleAssigmentExpressions
                    .Concat(registrationAssignmentExpressions
                        .Concat(new[] { optimizedExpression })));

------------------
Mono JIT compiler version 3.4.1 (master/c1f711e Mon May 19 07:56:25 NOVT 2014)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
	TLS:           __thread
	SIGSEGV:       altstack
	Notifications: epoll
	Architecture:  x86
	Disabled:      none
	Misc:          softdebug 
	LLVM:          supported, not enabled.
	GC:            sgen
---------------

OS: Ubuntu 12.04 32bit
Comment 1 Marek Safar 2014-05-27 08:40:14 UTC
Fixed in master
Comment 2 Sergey Zhukov 2014-05-27 20:21:21 UTC
The SimpleInjector project is built now, but I've got other issue, not sure it's a new or related to this one. 

If you try to build SimpleInjector.CodeSamples project, which references SimpleInjector, you'll get an error:

	Target ResolveAssemblyReferences:
/usr/lib/mono/4.5/Microsoft.Common.targets:  warning : Reference '/home/sergey/Projects/IoC/simpleinjector/bin/NET//SimpleInjector.dll' not resolved 

The file '/home/sergey/Projects/IoC/simpleinjector/bin/NET//SimpleInjector.dll' exists in the given path.
Comment 3 Marek Safar 2014-05-28 02:31:34 UTC
That's another issue. Please fill xbuild bug report with appropriate test case.